changeset 469:2ce0f8b191be

romvecs-patch/mkromvecs.sh: generation of patched images
author Mychaela Falconia <falcon@freecalypso.org>
date Sun, 25 Mar 2018 05:44:38 +0000
parents 79bc5876eb98
children fb5c5859ad22
files romvecs-patch/mkromvecs.sh
diffstat 1 files changed, 8 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/romvecs-patch/mkromvecs.sh	Sun Mar 25 05:44:38 2018 +0000
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+cp fwimage.bin fwromvecs.bin
+xxd -r -c 4 ../romvecs-patch/romvecs.patch fwromvecs.bin
+
+../helpers/mk-flash-script fwromvecs.bin 0 0x40000 > flash-romvecs